MWAWChart::Series Struct Reference documentation

MWAWChart::Series Struct Reference

a series in a chart More...

`#include <MWAWChart.hxx>`

## Public Types
enum | Type { S_Area , S_Bar , S_Column , S_Line , S_Pie , S_Scatter , S_Stock }
| the series type More...

## Public Member Functions
| Series ()
| constructor
| Series (Series const &)=default
virtual | ~Series ()
| destructor
void | addContentTo (std::string const &sheetName, librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList

## Static Public Member Functions
static std::string | getSeriesTypeName (Type type)
| returns a string corresponding to a series type

## Public Attributes
Type | m_type
| the type
MWAWBox2i | m_range
| the data range
MWAWGraphicStyle | m_style
| the graphic style

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWChart::Series const &series)
| operator<<

## Detailed Description

a series in a chart

## Member Enumeration Documentation

## ◆ Type

enum MWAWChart::Series::Type

the series type

Enumerator
S_Area |
S_Bar |
S_Column |
S_Line |
S_Pie |
S_Scatter |
S_Stock |

## Constructor & Destructor Documentation

## ◆ Series() [1/2]

MWAWChart::Series::Series | ( |  | ) |

constructor

Referenced by Series(), and Series().

## ◆ Series() [2/2]

MWAWChart::Series::Series | ( | Series const & |  | ) |
| default

## ◆ ~Series()

MWAWChart::Series::~Series | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addContentTo()

void MWAWChart::Series::addContentTo | ( | std::string const & | sheetName,
|  | librevenge::RVNGPropertyList & | propList ) const

add content to the propList

## ◆ addStyleTo()

void MWAWChart::Series::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

## ◆ getSeriesTypeName()

std::string MWAWChart::Series::getSeriesTypeName | ( | Type | type | ) |
| static

returns a string corresponding to a series type

Referenced by addContentTo(), and MWAWChart::sendChart().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWChart::Series const & | series )
| friend

operator<<

## Member Data Documentation

## ◆ m_range

MWAWBox2i MWAWChart::Series::m_range

the data range

Referenced by addContentTo(), operator<<, BeagleWksSSParser::readChart(), and Series().

## ◆ m_style

MWAWGraphicStyle MWAWChart::Series::m_style

the graphic style

Referenced by addStyleTo(), operator<<, BeagleWksSSParser::readChart(), and Series().

## ◆ m_type

Type MWAWChart::Series::m_type

the type

Referenced by addContentTo(), operator<<, BeagleWksSSParser::readChart(), and Series().

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx